<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author			christian.rodriguez
@description 	Página principal del caso de uso CU-TV-0F-10 Modificar información de oferta
@cu	 			CU-TV-0F-10
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">.::Sistema Nacional Catastral::. .::Carga al SNC::.</ui:define>

    <ui:define name="content">

        <h:outputScript library="javascript" name="snc_visor_client.js"
                        target="head" />
        <h:outputStylesheet library="css" name="snc_visor_client.css" />

        <p:focus />

        <p:messages id="msgsModOfertaDevuelta" showDetail="false"
                    globalOnly="false" />

        <h:form id="modOfertaDevueltaForm">

            <p:fieldset>
                <legend>
                    <h:outputText
                        value="Ofertas inmobiliarias devueltas por control de calidad"
                        styleClass="legendTitle" />
                </legend>

                <p:spacer height="10" width="0" />

                <h:panelGrid columns="2" cellspacing="7"
                             columnClasses="colPequena, colGrande">
                    <h:outputLabel value="Departamento: " styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{modOfertasDevueltas.regionSeleccionada.areaCapturaOferta.departamento.nombre}"
                        styleClass="outputTextStyle" />
                    <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{modOfertasDevueltas.regionSeleccionada.areaCapturaOferta.municipio.nombre}"
                        styleClass="outputTextStyle" />
                    <h:outputLabel value="Zona: " styleClass="outputLabelStyle"
                                   rendered="#{not empty modOfertasDevueltas.regionSeleccionada.areaCapturaOferta.zona}" />
                    <h:outputText
                        value="#{modOfertasDevueltas.regionSeleccionada.areaCapturaOferta.zona.nombre}"
                        styleClass="outputTextStyle"
                        rendered="#{not empty modOfertasDevueltas.regionSeleccionada.areaCapturaOferta.zona}" />
                </h:panelGrid>

                <p:spacer height="10" width="0" />

                <p:dataTable id="ofertasDT" widgetVar="ofertasDevueltasWV"
                             var="oferta" value="#{modOfertasDevueltas.ofertasInmob}"
                             emptyMessage="No se encontraron ofertas inmobiliarias registradas"
                             paginator="true" rows="10"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                             {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="10,25,50" paginatorPosition="bottom">

                    <f:facet name="header">
                        <h:outputText value="Ofertas inmobiliarias devueltas" />
                    </f:facet>

                    <p:column headerText="Opciones">
                        <p:commandButton title="Ver detalles" icon="ui-icon-search"
                                         update=":detallesOfertaPanel"
                                         oncomplete="detalleOfertaWV.show();">
                            <f:setPropertyActionListener value="#{oferta}"
                                                         target="#{detalleOfertaInmob.currentOferta}" />
                        </p:commandButton>
                        <p:commandButton id="verMapaZoom" widgetVar="verMapaVarZoom"
                                         title="Zoom a la oferta" immediate="true"
                                         icon="ui-icon ui-icon-zoomin" onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();"
                                         onclick="cargarMapaZoomToFeature('#{modOfertasDevueltas.applicationClientName}',
                                                         '#{modOfertasDevueltas.moduleLayer}',
                                                         '#{modOfertasDevueltas.moduleTools}',
                                                         '#{oferta.cadenaDeManzanasVeredas}');"
                                         disabled="#{!oferta.esVisorVisible}" />
                        <p:commandButton title="Modificar" icon="ui-icon-pencil"
                                         ajax="false" update=":registroOfertaInmobiliariaFormId"
                                         action="#{modOfertasDevueltas.registrarModificarOferta}">
                            <f:setPropertyActionListener value="#{oferta}"
                                                         target="#{registroOfertaInmob.selectedOfertaInmobiliaria}" />
                            <f:setPropertyActionListener value="true"
                                                         target="#{registroOfertaInmob.banderaEsEdicion}" />
                        </p:commandButton>
                        <p:commandButton title="Ver histórico de devolución"
                                         action="#{modOfertasDevueltas.cargarObservacionesOfertaSeleccionada}"
                                         icon="ui-icon-clock" oncomplete="historicoDevolucionWV.show();"
                                         update=":historicoDevolucionForm">
                            <f:setPropertyActionListener value="#{oferta}"
                                                         target="#{modOfertasDevueltas.ofertaInmobSeleccionada}" />
                        </p:commandButton>
                    </p:column>
                    <p:column headerText="Código oferta"
                              filterBy="#{oferta.codigoOferta}">
                        <h:outputText value="#{oferta.codigoOferta}" />
                    </p:column>

                    <p:column headerText="Tipo predio">
                        <h:outputText value="#{oferta.tipoPredio}" />
                    </p:column>

                    <p:column headerText="Predios">
                        <p:dataList value="#{oferta.ofertaPredios}" var="predio"
                                    rendered="#{not empty oferta.ofertaPredios}"
                                    style="background: none;border: none;">
                            #{predio.numeroPredial}
                        </p:dataList>
                    </p:column>

                    <p:column headerText="Tipo inmueble"
                              filterBy="#{oferta.tipoInmueble}">
                        <h:outputText value="#{oferta.tipoInmueble}" />
                    </p:column>

                    <p:column headerText="Proyecto inmobiliario">
                        <h:outputText value="#{oferta.esProyecto ? 'SÍ' : 'NO'}" />
                    </p:column>

                    <p:column headerText="Condicion jurídica">
                        <h:outputText value="#{oferta.condicionJuridica}" />
                    </p:column>

                    <p:column headerText="Dirección">
                        <h:outputText value="#{oferta.direccion}" />
                    </p:column>

                    <p:column headerText="Tipo investigación">
                        <h:outputText value="#{oferta.tipoInvestigacion}" />
                    </p:column>

                    <p:column headerText="Fecha oferta">
                        <h:outputText value="#{oferta.fechaOferta}" />
                    </p:column>

                    <p:column headerText="Nombre fuente">
                        <h:outputText value="#{oferta.nombreFuente}" />
                    </p:column>
                </p:dataTable>

                <p:spacer height="10" width="0" />

                <h:panelGrid columns="3" id="botonesPG" cellspacing="7">
                    <p:commandButton value="Enviar a control de calidad"
                                     icon="ui-icon-arrowreturnthick-1-e"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide(); handleCompleteSIC(xhr, status, args, enviarACalidadConfirmationWV, true);"
                                     update=":msgsModOfertaDevuelta, 
                                     :modOfertaDevueltaForm"
                                     disabled="#{modOfertasDevueltas.banderaDeshabilitarBotones}" />
                </h:panelGrid>

                <p:spacer height="10" width="0" />

            </p:fieldset>

            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar"
                                 action="#{modOfertasDevueltas.cerrar}" icon="ui-icon-circle-close"
                                 immediate="true" ajax="false" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />
        </h:form>


        <!--                             DIALOGS                             -->
        <p:dialog header="Detalles de la oferta inmobiliaria" dynamic="true"
                  widgetVar="detalleOfertaWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="520" width="900">
            <ui:include src="../detallesOferta.xhtml">
                <ui:param name="ofertaInmobiliariaParam"
                          value="#{detalleOfertaInmob.currentOferta}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Fotografías de la oferta inmobiliaria"
                  dynamic="true" widgetVar="fotosOfertaWV" modal="true"
                  appendToBody="true" resizable="true" position="center" height="550"
                  width="900">
            <ui:include src="../galeriaFotografiasComponent.xhtml">
                <ui:param name="managedBeanParam" value="#{detalleOfertaInmob}" />
                <ui:param name="selectedFotografiaListParam"
                          value="#{detalleOfertaInmob.currentOferta.fotografias}" />
                <ui:param name="banderaCargaParam" value="false" />
                <ui:param name="compositeWVParam" value="fotosOfertaWV" />
                <ui:param name="cIdParam" value="fotosG" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Hostórico de devolución" dynamic="true"
                  widgetVar="historicoDevolucionWV" modal="true" appendToBody="true"
                  resizable="false" position="center" height="370" width="900">
            <ui:include src="historicoDevolucionOferta.xhtml">
                <ui:param name="observacionesParam"
                          value="#{modOfertasDevueltas.ofertaSeleccionadaObs}" />
            </ui:include>
        </p:dialog>

        <ui:include src="/util/visorGeografico.xhtml" />

        <misc:ultimateConfirmDialogCC
            id="mensajeConfirmacionEnviarControlCalidad"
            confirmMessage="Está seguro de que desea eliminar el(las) área(s) de captura de ofertas"
            confirmUpdateOnYes=":modOfertaDevueltaForm, :msgsModOfertaDevuelta"
            confirmDialogWV="enviarACalidadConfirmationWV"
            voidActionOnYes="#{modOfertasDevueltas.enviarACalidad}" width="350" 
            useStringActionOnYes="false" useStringActionOnNo="false" actionOnNoIsClose="true"/>

    </ui:define>
</ui:composition>
